{"openapi":"3.0.4","info":{"title":"Get the log for a specific API request.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/insights"}],"paths":{"/api/requests/{id}":{"get":{"tags":["Requests"],"summary":"Get the log for a specific API request.","operationId":"GetRequestLog","parameters":[{"name":"id","in":"path","description":"The identifier of the request to obtain the log for.","required":true,"schema":{"maxLength":100,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_:\\+]+$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/RequestLog"}},"text/plain":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/RequestLog"}},"text/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/RequestLog"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/insights/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}